<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setBundle basename="de.jalin.ldapadmin.accessdenied"/>
<!DOCTYPE html>
<html lang="${language}">
<jsp:include page="template/header.jsp"/>
<body>
	<jsp:include page="template/navbar.jsp"/>
	<c:url var="logouturl" value="/logout" />
	
    <!-- Page Content -->
    <div class="container">
		<h1><fmt:message key="access.denied.title"/></h1>
		<p><fmt:message key="access.denied.text"/></p>
		<a href="${ logouturl }"><fmt:message key="access.denied.logout"><fmt:param value="${pageContext.request.remoteUser}"/></fmt:message></a>
	</div>
    <jsp:include page="template/footer.jsp"/>
</body>
</html>
